package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 企微人员发送对象 bpm_wx_notice_org
 * 
 * @author dgtly
 * @date 2021-08-26
 */
public class BpmWxNoticeOrg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 是否删除 */
    private Long isDelete;

    /** 组织架构名称 */
    @Excel(name = "组织架构名称（必须准确）*")
    private String orgName;

    /** 组织代码 */
    private String orgCode;

    /** 用户域账号 */
    @Excel(name = "用户域账号（必须准确）*")
    private String account;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String userName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setAccount(String account) 
    {
        this.account = account;
    }

    public String getAccount() 
    {
        return account;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("orgName", getOrgName())
            .append("orgCode", getOrgCode())
            .append("account", getAccount())
            .append("userName", getUserName())
            .toString();
    }
}
